Bug 123190 - I18N - turkish locale audit and cleanup
I18N - turkish locale audit and cleanup
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: AVK
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@serverplugins
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 20:50 UTC by Rochelle Raccah
Modified: 2008-08-25 16:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rochelle Raccah 2007-11-30 20:50:31 UTC
String.toUpperCase() and String.toLowerCase() use must be audited to see if the problem in
<http://java.sys-con.com/read/46241.htm> is an issue.  A quick grep of the sources yields this list:

toUpperCase is in these files:
./appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/CustomizerSupport.java
./appsrv81/appsrvbridge/src/com/sun/jdo/api/persistence/mapping/ejb/AbstractNameMapper.java
./appsrv81/appsrvbridge/src/org/netbeans/modules/j2ee/sun/bridge/AppServerBridge.java
./hk2/src/org/netbeans/modules/j2ee/hk2/customizer/CustomizerSupport.java
./sunddui/src/org/netbeans/modules/j2ee/sun/share/config/ui/ConfigUtils.java
./sunddui/src/org/netbeans/modules/j2ee/sun/validation/util/Utils.java

toLowerCase is in these files:
./appsrv/src/org/netbeans/modules/j2ee/sun/appsrvapi/PortDetector.java
./appsrv/src/org/netbeans/modules/j2ee/sun/ide/j2ee/mbmapping/JvmOptions.java
./appsrv/src/org/netbeans/modules/j2ee/sun/ide/sunresources/beans/ResourceConfigurator.java
./appsrv/src/org/netbeans/modules/j2ee/sun/ide/sunresources/beans/ResourceUtils.java
./appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunDeploymentManager.java
./appsrv81/appsrvbridge/src/org/netbeans/modules/j2ee/sun/bridge/AppServerBridge.java
./avk/src/org/netbeans/modules/j2ee/sun/ide/avk/actions/CommonNodeAction.java
./sunddui/src/org/netbeans/modules/j2ee/sun/share/config/ui/DefaultBeanInfo.java
Comment 1 Rochelle Raccah 2007-11-30 20:51:38 UTC
Please also see issue 116692 and glassfish issue <https://glassfish.dev.java.net/issues/show_bug.cgi?id=3690>
Comment 2 Rochelle Raccah 2007-11-30 20:55:20 UTC
./appsrv81/appsrvbridge/src/com/sun/jdo/api/persistence/mapping/ejb/AbstractNameMapper.java is a file added for 8.x cmp
support, but it is a copy of the source file in glassfish (see issue 114293)
and is listed in Jesse's analysis of the server problems attached to glassfish issue 3690).  It should be fixed in
glassfish, then copied here for 8.x support.
Comment 3 Rochelle Raccah 2007-11-30 22:33:30 UTC
From Peter:
> toUpperCase is in these files:
> ./appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/CustomizerSupport.java
> ./hk2/src/org/netbeans/modules/j2ee/hk2/customizer/CustomizerSupport.java
This one is definitely a bugged usage, probably appsrv81 version of same too.

> ./sunddui/src/org/netbeans/modules/j2ee/sun/share/config/ui/ConfigUtils.java
Dead code.

> ./sunddui/src/org/netbeans/modules/j2ee/sun/validation/util/Utils.java
validation package may or may not stay dead.  It's dead now.

> toLowerCase is in these files:
> ./sunddui/src/org/netbeans/modules/j2ee/sun/share/config/ui/DefaultBeanInfo.java
Dead code.
Comment 4 Rochelle Raccah 2007-12-12 01:40:30 UTC
Checking in appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/CustomizerSupport.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/CustomizerSupport.java,v  <-- 
CustomizerSupport.java
new revision: 1.8; previous revision: 1.7
done
Checking in hk2/src/org/netbeans/modules/j2ee/hk2/customizer/CustomizerSupport.java;
/cvs/serverplugins/sun/hk2/src/org/netbeans/modules/j2ee/hk2/customizer/CustomizerSupport.java,v  <-- 
CustomizerSupport.java
new revision: 1.3; previous revision: 1.2
done
Comment 5 Vince Kraemer 2007-12-17 17:58:04 UTC
http://deadlock.netbeans.org/fisheye/changelog/netbeans/serverplugins/sun?cs=MAIN:vkraemer:20071217164552

AppServerBridge.java
SunDeploymentManager.java
PortDetector.java
ResourceConfigurator.java
ResourceUtils.java
JvmOptions.java
Comment 6 Rochelle Raccah 2007-12-17 21:43:57 UTC
Based on the comments I collected and the changes Vince & I made, it seems this is the only file not done:
./avk/src/org/netbeans/modules/j2ee/sun/ide/avk/actions/CommonNodeAction.java
Comment 7 Vince Kraemer 2007-12-17 23:43:33 UTC
changing the subcomponent to reflect the current status.
Comment 8 pslechta 2008-07-10 16:06:48 UTC
./avk/src/org/netbeans/modules/j2ee/sun/ide/avk/actions/CommonNodeAction.java

I don't see this file in current main repositry. There is no "avk" dir. Can you please specify where this file is?
Or can this issue be closed?
Comment 9 Rochelle Raccah 2008-07-10 21:42:58 UTC
./appsrv81/appsrvbridge/src/com/sun/jdo/api/persistence/mapping/ejb/AbstractNameMapper.java is also still not done -
Vince - I think you were going to check it in a while ago back when I couldn't get hg to work?

As far as the avk class location - I don't know where it is in the hg repository.  Maybe one of the others know.
Comment 10 Ken Frank 2008-08-25 16:29:10 UTC
what is the status on this ? is it putback for 6.5 ?

also, can someone give me info on what patterns to search for in source - I'll do it for
all of nb source (that is, is it any use of some api or only with some certain arguments,
as need to refine the pattern)

also, isn't there or wasn't there a jdk issue related to the Turkish 'i'
 situation ?  or is it that we can workaround that issue if we do certain coding ?

finally, in general, not talking about gf code or needing that to be fixed,
what is the coding guidelines and api that avoids this kind of problem ? I'd like to share
it with other teams.

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo